html {
    width: 100%;
    overflow-x: hidden !important;
}


/*  ####################### CSS section Financial highlight แบบที่ 2 #######################  */

.financial-h.column-12-2 {
    width: 100%;
    height: 100%;
}

.financial-h.column-12-2 .financial-h-data {
    width: 100%;
    height: auto;
    /* background-color: var(--lightgrey); */
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 32px;
}

.financial-h.column-12-2 .financial-h-data .financial-h-data__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
}

.financial-h.column-12-2 .financial-h-chart,
.financial-h.column-12-2 .income-chart {
    width: 100%;
    height: auto;
    /* background-color: var(--lightgrey); */
    padding: 0;
}

.financial-h.column-12-2 .security-detail {
    width: 100%;
    background-color: var(--lightgrey);
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.financial-h.column-12-2 .security-detail .security-detail__grid {
    display: grid;
    grid-template-columns: repeat(4, auto);
    gap: 32px;
}

.icon-box {
    min-width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #F2F2F2;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width: 1399px) {
    .financial-h.column-12-2 .financial-h-data .financial-h-data__grid {
        grid-template-columns: repeat(3, minmax(300px, 1fr));
    }
}

@media (max-width: 1199px) {
    .financial-h.column-12-2 .financial-h-data .financial-h-data__grid {
        grid-template-columns: repeat(2, minmax(80%, 1fr));
    }

    .financial-h.column-12-2 .security-detail .security-detail__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 991px) {
    .financial-h.column-12-2 .financial-h-data {
        display: flex;
        flex-direction: column;
    }

    .financial-h.column-12-2 .financial-h-data .financial-h-data__grid {
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 32px;
    }

    .financial-h.column-12-2 .security-detail {
        height: auto;
    }

    .financial-h.column-12-2 .financial-h-chart #financial_H12-2,
    .financial-h.column-12-2 .income-chart #income12-2 {
        width: 100% !important;
    }
}

@media (max-width: 767px) {
    .financial-h.column-12-2 .financial-h-chart #financial_H12-2 .financial-h.column-12-2 .income-chart #income12-2 {
        height: 340px !important;
    }

    .financial-h.column-12-2 .security-detail .security-detail__grid {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 575px) {

    .financial-h.column-12-2 .financial-h-data,
    .financial-h.column-12-2 .security-detail {
        padding: 24px;
        gap: 18px;
    }

    .financial-h.column-12-2 .financial-h-chart,
    .financial-h.column-12-2 .income-chart {
        padding: 24px;
    }

    .financial-h.column-12-2 .financial-h-chart #financial_H12-2,
    .financial-h.column-12-2 .income-chart #income12-2 {
        height: 300px !important;
    }

    .icon-box {
        min-width: 50px;
        height: 50px;
    }

    .icon-box img {
        max-width: 50%;
    }
}




